summaryrefslogtreecommitdiff
path: root/libs/glibmm2
diff options
context:
space:
mode:
authorPaul Davis <paul@linuxaudiosystems.com>2008-01-23 18:47:16 +0000
committerPaul Davis <paul@linuxaudiosystems.com>2008-01-23 18:47:16 +0000
commit91bd62c75a4c0289731b19109c9aa8b78ece2fa4 (patch)
tree9efdb4e77db563478fd822577b602cbdbd255c68 /libs/glibmm2
parent63736baaa170362d37a0b9a3d9c163d114095c8a (diff)
OSX build fixes
git-svn-id: svn://localhost/ardour2/branches/2.0-ongoing@2957 d708f5d6-7413-0410-9779-e7cbd77b26cf
Diffstat (limited to 'libs/glibmm2')
-rwxr-xr-xlibs/glibmm2/autogen.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/libs/glibmm2/autogen.sh b/libs/glibmm2/autogen.sh
index f2f287d325..563cdad3a3 100755
--- a/libs/glibmm2/autogen.sh
+++ b/libs/glibmm2/autogen.sh
@@ -2,11 +2,17 @@
# check all tools first
+LIBTOOLIZE=libtoolize
+
if /usr/bin/which libtoolize >/dev/null 2>&1 ; then
:
else
- echo "You do not have libtool installed, which is very sadly required to build part of Ardour"
- exit 1
+ if /usr/bin/which glibtoolize >/dev/null 2>&1 ; then
+ LIBTOOLIZE=glibtoolize
+ else
+ echo "You do not have libtool installed, which is very sadly required to build part of Ardour"
+ exit 1
+ fi
fi
if /usr/bin/which automake >/dev/null 2>&1 ; then
:
@@ -26,7 +32,7 @@ srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
echo "Adding libtools."
-libtoolize --automake --copy --force
+$LIBTOOLIZE --automake --copy --force
echo "Building macros."
aclocal -I "$srcdir/scripts" $ACLOCAL_FLAGS